## Comment out when doing local development
backend:
  name: github
  repo: cloud-gov/pages-uswds-11ty
  base_url: https://pages.cloud.gov
  auth_endpoint: external/auth/github
  preview_context: pages/build
  branch: main
  use_graphql: true


##
## Uncomment when doing local development on Netlify CMS
## Run `npx netlify-cms-proxy-server` to start working locally
## In another terminal, start the app with `npm start`
## See https://www.netlifycms.org/docs/beta-features/#working-with-a-local-git-repository
##

# backend:
#   name: git-gateway
# local_backend: true

##
##

media_folder: _img/uploads
public_folder: uploads
publish_mode: editorial_workflow
logo_url: https://federalist.18f.gov/assets/images/federalist-logo.png

collections:
  - label: Posts
    name: posts
    folder: posts/
    create: true
    slug: "{{year}}-{{month}}-{{day}}-{{slug}}"
    editor:
      preview: false
    fields:
      - {label: 'Layout', name: 'layout', widget: 'hidden', default: 'layouts/post'}
      - {label: 'Tags', name: 'tags', widget: 'hidden', default: ['posts']}
      - {label: "Title", name: "title", widget: "string"}
      - {label: "Author", name: "author", widget: "string"}
      - {
          label: "Publish Date",
          name: "date",
          widget: "datetime",
          format: 'YYYY-MM-DD',
          dateFormat: 'YYYY-MM-DD',
          timeFormat: false
        }
      - {
        label: "Image",
        name: "image",
        widget: "image",
        allow_multiple: false,
        required: false
        }
      - {
        label: "Image Alt Text",
        name: "image_alt_text",
        widget: "string",
        required: false
        }
      - {label: "Body", name: "body", widget: "markdown"}
